﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.34014
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System.CodeDom.Compiler;
using System.Configuration;
using System.Diagnostics;
using System.Runtime.CompilerServices;

namespace TestRunnerWin.Properties {
    
    
    [CompilerGenerated()]
    [GeneratedCode("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "11.0.0.0")]
    internal sealed partial class Settings : ApplicationSettingsBase {
        
        private static Settings defaultInstance = ((Settings)(Synchronized(new Settings())));
        
        public static Settings Default {
            get {
                return defaultInstance;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("False")]
        public bool IsDebug {
            get {
                return ((bool)(this["IsDebug"]));
            }
            set {
                this["IsDebug"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("")]
        public string lastConfig {
            get {
                return ((string)(this["lastConfig"]));
            }
            set {
                this["lastConfig"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("")]
        public string lastProject {
            get {
                return ((string)(this["lastProject"]));
            }
            set {
                this["lastProject"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("")]
        public string lastDLL {
            get {
                return ((string)(this["lastDLL"]));
            }
            set {
                this["lastDLL"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("")]
        public string lastSpecflowInclude {
            get {
                return ((string)(this["lastSpecflowInclude"]));
            }
            set {
                this["lastSpecflowInclude"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("")]
        public string lastSpecflowExclude {
            get {
                return ((string)(this["lastSpecflowExclude"]));
            }
            set {
                this["lastSpecflowExclude"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("False")]
        public bool openReportAfterRun {
            get {
                return ((bool)(this["openReportAfterRun"]));
            }
            set {
                this["openReportAfterRun"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("")]
        public string artifactSubDir {
            get {
                return ((string)(this["artifactSubDir"]));
            }
            set {
                this["artifactSubDir"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("False")]
        public bool overrideArtifactSubDir {
            get {
                return ((bool)(this["overrideArtifactSubDir"]));
            }
            set {
                this["overrideArtifactSubDir"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("False")]
        public bool createNUnitReport {
            get {
                return ((bool)(this["createNUnitReport"]));
            }
            set {
                this["createNUnitReport"] = value;
            }
        }

        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("False")]
        public bool createReportUnit
        {
            get
            {
                return ((bool)(this["createReportUnit"]));
            }
            set
            {
                this["createReportUnit"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("False")]
        public bool createSpecFlowReport {
            get {
                return ((bool)(this["createSpecFlowReport"]));
            }
            set {
                this["createSpecFlowReport"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("False")]
        public bool overrideAppiumURI {
            get {
                return ((bool)(this["overrideAppiumURI"]));
            }
            set {
                this["overrideAppiumURI"] = value;
            }
        }
        
        [UserScopedSetting()]
        [DebuggerNonUserCode()]
        [DefaultSettingValue("")]
        public string appiumURI {
            get {
                return ((string)(this["appiumURI"]));
            }
            set {
                this["appiumURI"] = value;
            }
        }
    }
}
